/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
import java.util.Scanner;
 /**
     * Funkční rozhraní
     */
    interface MatematickaOperace {
        double operace(double a, double b);   
    }

public class Kalkulacka {

    /**
     * Metoda sloužící pro přečtení vstupu do konzole
     */
    public String prectiString() {
        Scanner scanner = new Scanner(System.in);
        System.out.print("> ");
        return scanner.nextLine();
    }

    public static void main(String[] args) {

        Kalkulacka aplikace = new Kalkulacka();

        String priklad = aplikace.prectiString();
        String [] slova = priklad.split("[ \t]+");

        MatematickaOperace scitani = (a, b) -> a + b;
        MatematickaOperace odcitani = (a, b) -> a - b;
        MatematickaOperace nasobeni = (a, b) -> a * b;
        MatematickaOperace deleni = (a, b) -> a / b;

        double vysledek = 0;
        double a = Double.parseDouble(slova[0]);
        double b = Double.parseDouble(slova[2]);

        switch (slova[1]) {
            case "+":  vysledek = scitani.operace(a, b);
            break;
            case "-":  vysledek = odcitani.operace(a, b);
            break;
            case "*":  vysledek = nasobeni.operace(a, b);
            break;
            case "/":  vysledek = deleni.operace(a, b);

            break;

        }

        System.out.println(vysledek);

    }
}